Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.runtime.event.impl
Class SingleJVMRemoteCommitProvider

    java.lang.Object
      |
      +--com.solarmetric.kodo.runtime.event.impl.RemoteCommitProviderImpl
            |
            +--com.solarmetric.kodo.runtime.event.impl.SingleJVMRemoteCommitProvider

All Implemented Interfaces:
  RemoteCommitProvider

public class SingleJVMRemoteCommitProvider
extends RemoteCommitProviderImpl

Single-JVM-only implementation of `RemoteCommitProvider` that listens for object modifications and propagates those changes to other SingleJVMRemoteCommitProviders in the same JVM. This is only useful for linking together multiple factories in the same JVM that are all loaded in the same classloader, which is a rare circumstance.

Since:
  2.5.0

Fields inherited from class com.solarmetric.kodo.runtime.event.impl.RemoteCommitProviderImpl
`_factory, _log`

Constructor Summary
`SingleJVMRemoteCommitProvider()`

Method Summary
`void` | `broadcastCommitInfo(Set adds, Set updates, Set deletes)` Notifies other PersistenceManagerFactory objects in this JVM and on other machines of changes to the cache.
`void` | `close()` Close any resources used by this provider

Methods inherited from class com.solarmetric.kodo.runtime.event.impl.RemoteCommitProviderImpl
`receivedCommitInfo, setPersistenceManagerFactory`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleJVMRemoteCommitProvider

    public SingleJVMRemoteCommitProvider()

Method Detail

### broadcastCommitInfo

    public void broadcastCommitInfo(Set adds,
                                    Set updates,
                                    Set deletes)

  Description copied from interface: `RemoteCommitProvider`

  Notifies other PersistenceManagerFactory objects in this JVM and on other machines of changes to the cache. This method must not notify the PersistenceManagerFactory associated with the PersistenceManager that originated this commit.

  `adds`, `updates`, and `deletes` are sets of object IDs that were added, updated, or deleted.

### close

    public void close()

  Description copied from interface: `RemoteCommitProvider`
  Close any resources used by this provider

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.